﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardDataModels.Models
{
    public interface IShopModel: IId
    {
        string ShopName { get; }
        string Address { get; }
        DateTime DateOpen { get; }
        public int Capacity { get; }
        Dictionary<int, (IShipModel, int)> ShopShips { get; }
    }
}
